Package: kipi-plugins
Version: 0.1.5-1
Severity: normal

Hi

[I considered filing this against gwenview, but gwenview recommending
kipi-plugins seem reasonable.  The problem is that kipi-plugins acts
too much like a meta-package, pulling in too many apps for a package
that otther normal packages are recommending.]

Today I went to install gwenview in a small virtual machine.

sudo aptitude install gwenview
...
The following NEW packages will be installed:
  avahi-daemon{a} cdparanoia{a} cdrdao{a} dvd+rw-tools{a} exiv2{a}
  genisoimage{a} graphicsmagick{a} graphicsmagick-imagemagick-compat{a}
  gwenview k3b{a} k3b-data{a} kdegraphics-kfile-plugins{a} kipi-plugins{a}
  kooka{a} libao2{a} libdvdnav4{a} libdvdread3{a} libexiv2-4{a}
  libflac++6{a} libgphoto2-2{a} libgphoto2-port0{a} libgpod3-nogtk{a}
  libgraphicsmagick1{a} libieee1284-3{a} libiso9660-5{a} libk3b3{a}
  libk3b3-extracodecs{a} libkdcraw3{a} libkexiv2-3{a} libkipi0{a}
  libkscan1{a} libmpcdec3{a} libmpg123-0{a} libmusicbrainz4c2a{a}
  libnss-mdns{a} libpoppler-qt2{a} libsane{a} libsane-extras{a}
  libvcdinfo0{a} libwmf0.2-7{a} mpg123{a} ocrad{a} sane-utils{a}
  vcdimager{a} wodim{a}
0 packages upgraded, 45 newly installed, 0 to remove and 0 not upgraded.
Need to get 24.7MB of archives. After unpacking 66.3MB will be used.

WTF.  I went to install an image viewer, and that image viewer recommended
a plugin collection that recommends a whole new set of applications, most
of which are only vaguely related to image viewing.  (Yes, they do provide
ways of obtaining, manipulating, publishing and archiving images.  But I
wanted an image viewer, not the kitchen sink).

>From policy 7.2

Recommends

    This declares a strong, but not absolute, dependency.

    The Recommends field should list packages that would be found together
    with this one in all but unusual installations.

IMNSHO it's perfectly reasonable to install an image viewer like gwenview,
and want some of the features kipi-plugins allows, without having kooka/
/k3b/kmail/mpg123/sane-utils etc installed, especially since many of those
apps pull in additionally packages not related to kipi-plugins.  (What
feature(s) does mpg123 support anyway?)

>From the description kipi-plugins provides a set of optional plugins for
apps to use.  As such I believe it should try to avoid pulling in
additional applications with significant additional dependencies.

Please consider at least reducing the kooka/sane-utils/k3b/mpg123 recommends
to suggests and/or split kipi-plugins into multiple packages (eg separate
kipi-export-plugins, kipi-scanner-plugins, kipi-camera-plugins, kipi-cd-plugins
etc.) so that apps can recommend only the features relevant to them.

Thanks for your work in Debian.
Andrew V.


-- System Information:
Debian Release: lenny/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: i386 (i686)

Kernel: Linux 2.6.25-2-686 (SMP w/1 CPU core)
Locale: LANG=en_AU.UTF-8, LC_CTYPE=en_AU.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages kipi-plugins depends on:
ii  kdelibs4c2a             4:3.5.9.dfsg.1-6 core libraries and binaries for al
ii  libc6                   2.7-10           GNU C Library: Shared libraries
ii  libgcc1                 1:4.3.1-2        GCC support library
ii  libgl1-mesa-glx [libgl1 7.0.3-5          A free implementation of the OpenG
ii  libglib2.0-0            2.16.4-2         The GLib library of C routines
ii  libgphoto2-2            2.4.1-1          gphoto2 digital camera library
ii  libgphoto2-port0        2.4.1-1          gphoto2 digital camera port librar
ii  libgpod3-nogtk          0.6.0-6          library to read and write songs to
ii  libjpeg62               6b-14            The Independent JPEG Group's JPEG 
ii  libkcal2b               4:3.5.9-5        KDE calendaring library
ii  libkdcraw3              0.1.4-2          Raw picture decoding C++ library (
ii  libkexiv2-3             0.1.7-1+b1       Qt like interface for the libexiv2
ii  libkipi0                0.1.6-1          library for apps that want to use 
ii  libpng12-0              1.2.27-1         PNG library - runtime
ii  libqt3-mt               3:3.3.8b-5       Qt GUI Library (Threaded runtime v
ii  libstdc++6              4.3.1-2          The GNU Standard C++ Library v3
ii  libtiff4                3.8.2-10         Tag Image File Format (TIFF) libra
ii  libx11-6                2:1.1.4-2        X11 client-side library
ii  libxml2                 2.6.32.dfsg-2    GNOME XML library
ii  libxrandr2              2:1.2.3-1        X11 RandR extension library
ii  libxslt1.1              1.1.24-1         XSLT processing library - runtime 

Versions of packages kipi-plugins recommends:
ii  graphicsmagick-imagemag 1.1.11-3.1       image processing tools providing I
pn  k3b                     <none>           (no description available)
ii  kdeprint                4:3.5.9.dfsg.1-4 print system for KDE
ii  kmail                   4:3.5.9-5        KDE Email client
ii  konqueror               4:3.5.9.dfsg.1-4 KDE's advanced file manager, web b
pn  kooka                   <none>           (no description available)
pn  mpg123                  <none>           (no description available)
pn  sane-utils              <none>           (no description available)

Versions of packages kipi-plugins suggests:
pn  gallery                       <none>     (no description available)
pn  gimp                          <none>     (no description available)
pn  kipi-plugins-doc              <none>     (no description available)

-- no debconf information



_______________________________________________
pkg-kde-extras mailing list
pkg-kde-extras@lists.alioth.debian.org
http://lists.alioth.debian.org/mailman/listinfo/pkg-kde-extras

Reply via email to